#!/bin/sh
# $1 is dmm directory name, e.g. radio, torch
# $2 is end-charge voltage, e.g. 7.35

DIRE=dmm/${1:-misc}/
if [ ! -d ${DIRE} ]; then
    echo "${0}: no such directory, ${DIRE}"
    exit 1
fi

FILE=${DIRE}/`date +%Y-%m-%d`.log

VOLT=${2:-7.35}
echo "${0}: limit ${VOLT} logging to ${FILE}"
multimeter -L ${VOLT} -l -i /dev/ttyS0 -o ${FILE}
